local CompanyComp = class("CompanyComp", LuaComponent)

function CompanyComp:init()
	self.uiMap = self:getBaseObject():genAllChildren()

	self.talentBtn = self.uiMap["company_comp.talent_btn"]
	self.talentBtnTx = self.uiMap["company_comp.talent_btn.text"]
	self.talentBtnTx:setText(I18N:getGlobalText(I18N.GlobalConst.TALENT_DESC_1))
	self.talentBtn:addClickListener(function()
		ModuleManager.TalentManager:showMainUI()
	end)
end

function CompanyComp:refresh()
end

return CompanyComp